const { makeLogger } = demon.summon("utils/logger")
const log = makeLogger(console.log, true)

function onStart() {
	log(["Template Plugin"], "Started plugin (apparently)")
	const str = "data pass test"
	return {
		str
	}
}

function onStop(ctx) {
	log(["Template Plugin"], "Stopped plugin (apparently)")
	log(ctx.str)
	return true
}

export default {
	onStart,
	onStop,
	meta: {
		name: "Template plugin",
		desc: "Template description"
	}
}